diff --git a/scripts/update.sh b/scripts/update.sh
index 99a7e409b7d1371fe7540e4072274b90d709b263..afea8e712d702e8aa50815ba947339773a26ea9d 100755
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -20,6 +20,9 @@ for module in $GLUON_MODULES; do
 
 	if ! git branch -f base "$commit" 2>/dev/null; then
 		git fetch "$repo" "$branch"
-		git branch -f base "$commit"
+		git branch -f base "$commit" || {
+		  echo "unable to find commit \"$commit\" on branch \"$branch\" in repo \"$repo\"." >&2
+		  exit 1
+		}
 	fi
 done